Apply by doing:
	cd /usr/src
	patch -p0 < 011_rtsock.patch

Then build and install a new kernel.

Index: sys/net/rtsock.c
===================================================================
RCS file: /cvs/src/sys/net/rtsock.c,v
retrieving revision 1.97
diff -u -p -r1.97 rtsock.c
--- sys/net/rtsock.c	9 Feb 2010 16:34:57 -0000	1.97
+++ sys/net/rtsock.c	13 Jan 2011 14:57:04 -0000
@@ -735,6 +735,8 @@ flush:
 			rtm->rtm_flags |= RTF_DONE;
 		}
 	}
+	if (dst)
+		route_proto.sp_protocol = dst->sa_family;
 	if (rt)
 		rtfree(rt);
 
@@ -753,8 +755,6 @@ flush:
 	}
 	if (rp)
 		rp->rcb_proto.sp_family = 0; /* Avoid us */
-	if (dst)
-		route_proto.sp_protocol = dst->sa_family;
 	if (rtm) {
 		m_copyback(m, 0, rtm->rtm_msglen, rtm);
 		if (m->m_pkthdr.len < rtm->rtm_msglen) {
